be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDITEMvalues

- java.lang.Object
- - java.lang.Enum<CDITEMvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDITEMvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDITEMvalues>

      public enum CDITEMvalues
      extends Enum<CDITEMvalues>

  Java class for CD-ITEMvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-ITEMvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="admissiontype"/>
           <enumeration value="adr"/>
           <enumeration value="allergy"/>
           <enumeration value="autonomy"/>
           <enumeration value="bloodtransfusionrefusal"/>
           <enumeration value="clinical"/>
           <enumeration value="complaint"/>
           <enumeration value="complementaryproduct"/>
           <enumeration value="conclusion"/>
           <enumeration value="contactperson"/>
           <enumeration value="dischargedatetime"/>
           <enumeration value="dischargedestination"/>
           <enumeration value="dischargetype"/>
           <enumeration value="emergencyevaluation"/>
           <enumeration value="encounterdatetime"/>
           <enumeration value="encounterlegalservice"/>
           <enumeration value="encounterlocation"/>
           <enumeration value="encounterresponsible"/>
           <enumeration value="encountersafetyissue"/>
           <enumeration value="encountertype"/>
           <enumeration value="evolution"/>
           <enumeration value="expirationdatetime"/>
           <enumeration value="gmdmanager"/>
           <enumeration value="habit"/>
           <enumeration value="hcpartyavailability"/>
           <enumeration value="healthcareelement"/>
           <enumeration value="healthissue"/>
           <enumeration value="incapacity"/>
           <enumeration value="lab"/>
           <enumeration value="medication"/>
           <enumeration value="ntbr"/>
           <enumeration value="referrer"/>
           <enumeration value="referringtype"/>
           <enumeration value="reimbursementcertificate"/>
           <enumeration value="requestdatetime"/>
           <enumeration value="requesteddecisionsharing"/>
           <enumeration value="requesteddischargedestination"/>
           <enumeration value="requestedencountertype"/>
           <enumeration value="requestedrecipient"/>
           <enumeration value="requestnumber"/>
           <enumeration value="requestor"/>
           <enumeration value="risk"/>
           <enumeration value="socialrisk"/>
           <enumeration value="specimendatetime"/>
           <enumeration value="technical"/>
           <enumeration value="transactionreason"/>
           <enumeration value="transcriptionist"/>
           <enumeration value="transferdatetime"/>
           <enumeration value="treatment"/>
           <enumeration value="vaccine"/>
           <enumeration value="actionplan"/>
           <enumeration value="acts"/>
           <enumeration value="careplansubscription"/>
           <enumeration value="contacthcparty"/>
           <enumeration value="diagnosis"/>
           <enumeration value="familyrisk"/>
           <enumeration value="healthcareapproach"/>
           <enumeration value="insurancystatus"/>
           <enumeration value="memberinsurancystatus"/>
           <enumeration value="parameter"/>
           <enumeration value="patientwill"/>
           <enumeration value="professionalrisk"/>
           <enumeration value="encounternumber"/>
           <enumeration value="claim"/>
           <enumeration value="outcome"/>
           <enumeration value="agreementwithpatient"/>
           <enumeration value="patientcooperation"/>
           <enumeration value="reimbursementclass"/>
           <enumeration value="financialcontract"/>
           <enumeration value="justification"/>
           <enumeration value="result"/>
           <enumeration value="agreedtreatment"/>
           <enumeration value="membership"/>
           <enumeration value="problem"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIONPLAN`
    `ACTS`
    `ADMISSIONTYPE`
    `ADR`
    `AGREEDTREATMENT`
    `AGREEMENTWITHPATIENT`
    `ALLERGY`
    `AUTONOMY`
    `BLOODTRANSFUSIONREFUSAL`
    `CAREPLANSUBSCRIPTION`
    `CLAIM`
    `CLINICAL`
    `COMPLAINT`
    `COMPLEMENTARYPRODUCT`
    `CONCLUSION`
    `CONTACTHCPARTY`
    `CONTACTPERSON`
    `DIAGNOSIS`
    `DISCHARGEDATETIME`
    `DISCHARGEDESTINATION`
    `DISCHARGETYPE`
    `EMERGENCYEVALUATION`
    `ENCOUNTERDATETIME`
    `ENCOUNTERLEGALSERVICE`
    `ENCOUNTERLOCATION`
    `ENCOUNTERNUMBER`
    `ENCOUNTERRESPONSIBLE`
    `ENCOUNTERSAFETYISSUE`
    `ENCOUNTERTYPE`
    `EVOLUTION`
    `EXPIRATIONDATETIME`
    `FAMILYRISK`
    `FINANCIALCONTRACT`
    `GMDMANAGER`
    `HABIT`
    `HCPARTYAVAILABILITY`
    `HEALTHCAREAPPROACH`
    `HEALTHCAREELEMENT`
    `HEALTHISSUE`
    `INCAPACITY`
    `INSURANCYSTATUS`
    `JUSTIFICATION`
    `LAB`
    `MEDICATION`
    `MEMBERINSURANCYSTATUS`
    `MEMBERSHIP`
    `NTBR`
    `OUTCOME`
    `PARAMETER`
    `PATIENTCOOPERATION`
    `PATIENTWILL`
    `PROBLEM`
    `PROFESSIONALRISK`
    `REFERRER`
    `REFERRINGTYPE`
    `REIMBURSEMENTCERTIFICATE`
    `REIMBURSEMENTCLASS`
    `REQUESTDATETIME`
    `REQUESTEDDECISIONSHARING`
    `REQUESTEDDISCHARGEDESTINATION`
    `REQUESTEDENCOUNTERTYPE`
    `REQUESTEDRECIPIENT`
    `REQUESTNUMBER`
    `REQUESTOR`
    `RESULT`
    `RISK`
    `SOCIALRISK`
    `SPECIMENDATETIME`
    `TECHNICAL`
    `TRANSACTIONREASON`
    `TRANSCRIPTIONIST`
    `TRANSFERDATETIME`
    `TREATMENT`
    `VACCINE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDITEMvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDITEMvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDITEMvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADMISSIONTYPE

          public static final CDITEMvalues ADMISSIONTYPE

    - #### ADR

          public static final CDITEMvalues ADR

    - #### ALLERGY

          public static final CDITEMvalues ALLERGY

    - #### AUTONOMY

          public static final CDITEMvalues AUTONOMY

    - #### BLOODTRANSFUSIONREFUSAL

          public static final CDITEMvalues BLOODTRANSFUSIONREFUSAL

    - #### CLINICAL

          public static final CDITEMvalues CLINICAL

    - #### COMPLAINT

          public static final CDITEMvalues COMPLAINT

    - #### COMPLEMENTARYPRODUCT

          public static final CDITEMvalues COMPLEMENTARYPRODUCT

    - #### CONCLUSION

          public static final CDITEMvalues CONCLUSION

    - #### CONTACTPERSON

          public static final CDITEMvalues CONTACTPERSON

    - #### DISCHARGEDATETIME

          public static final CDITEMvalues DISCHARGEDATETIME

    - #### DISCHARGEDESTINATION

          public static final CDITEMvalues DISCHARGEDESTINATION

    - #### DISCHARGETYPE

          public static final CDITEMvalues DISCHARGETYPE

    - #### EMERGENCYEVALUATION

          public static final CDITEMvalues EMERGENCYEVALUATION

    - #### ENCOUNTERDATETIME

          public static final CDITEMvalues ENCOUNTERDATETIME

    - #### ENCOUNTERLEGALSERVICE

          public static final CDITEMvalues ENCOUNTERLEGALSERVICE

    - #### ENCOUNTERLOCATION

          public static final CDITEMvalues ENCOUNTERLOCATION

    - #### ENCOUNTERRESPONSIBLE

          public static final CDITEMvalues ENCOUNTERRESPONSIBLE

    - #### ENCOUNTERSAFETYISSUE

          public static final CDITEMvalues ENCOUNTERSAFETYISSUE

    - #### ENCOUNTERTYPE

          public static final CDITEMvalues ENCOUNTERTYPE

    - #### EVOLUTION

          public static final CDITEMvalues EVOLUTION

    - #### EXPIRATIONDATETIME

          public static final CDITEMvalues EXPIRATIONDATETIME

    - #### GMDMANAGER

          public static final CDITEMvalues GMDMANAGER

    - #### HABIT

          public static final CDITEMvalues HABIT

    - #### HCPARTYAVAILABILITY

          public static final CDITEMvalues HCPARTYAVAILABILITY

    - #### HEALTHCAREELEMENT

          public static final CDITEMvalues HEALTHCAREELEMENT

    - #### HEALTHISSUE

          public static final CDITEMvalues HEALTHISSUE

    - #### INCAPACITY

          public static final CDITEMvalues INCAPACITY

    - #### LAB

          public static final CDITEMvalues LAB

    - #### MEDICATION

          public static final CDITEMvalues MEDICATION

    - #### NTBR

          public static final CDITEMvalues NTBR

    - #### REFERRER

          public static final CDITEMvalues REFERRER

    - #### REFERRINGTYPE

          public static final CDITEMvalues REFERRINGTYPE

    - #### REIMBURSEMENTCERTIFICATE

          public static final CDITEMvalues REIMBURSEMENTCERTIFICATE

    - #### REQUESTDATETIME

          public static final CDITEMvalues REQUESTDATETIME

    - #### REQUESTEDDECISIONSHARING

          public static final CDITEMvalues REQUESTEDDECISIONSHARING

    - #### REQUESTEDDISCHARGEDESTINATION

          public static final CDITEMvalues REQUESTEDDISCHARGEDESTINATION

    - #### REQUESTEDENCOUNTERTYPE

          public static final CDITEMvalues REQUESTEDENCOUNTERTYPE

    - #### REQUESTEDRECIPIENT

          public static final CDITEMvalues REQUESTEDRECIPIENT

    - #### REQUESTNUMBER

          public static final CDITEMvalues REQUESTNUMBER

    - #### REQUESTOR

          public static final CDITEMvalues REQUESTOR

    - #### RISK

          public static final CDITEMvalues RISK

    - #### SOCIALRISK

          public static final CDITEMvalues SOCIALRISK

    - #### SPECIMENDATETIME

          public static final CDITEMvalues SPECIMENDATETIME

    - #### TECHNICAL

          public static final CDITEMvalues TECHNICAL

    - #### TRANSACTIONREASON

          public static final CDITEMvalues TRANSACTIONREASON

    - #### TRANSCRIPTIONIST

          public static final CDITEMvalues TRANSCRIPTIONIST

    - #### TRANSFERDATETIME

          public static final CDITEMvalues TRANSFERDATETIME

    - #### TREATMENT

          public static final CDITEMvalues TREATMENT

    - #### VACCINE

          public static final CDITEMvalues VACCINE

    - #### ACTIONPLAN

          public static final CDITEMvalues ACTIONPLAN

    - #### ACTS

          public static final CDITEMvalues ACTS

    - #### CAREPLANSUBSCRIPTION

          public static final CDITEMvalues CAREPLANSUBSCRIPTION

    - #### CONTACTHCPARTY

          public static final CDITEMvalues CONTACTHCPARTY

    - #### DIAGNOSIS

          public static final CDITEMvalues DIAGNOSIS

    - #### FAMILYRISK

          public static final CDITEMvalues FAMILYRISK

    - #### HEALTHCAREAPPROACH

          public static final CDITEMvalues HEALTHCAREAPPROACH

    - #### INSURANCYSTATUS

          public static final CDITEMvalues INSURANCYSTATUS

    - #### MEMBERINSURANCYSTATUS

          public static final CDITEMvalues MEMBERINSURANCYSTATUS

    - #### PARAMETER

          public static final CDITEMvalues PARAMETER

    - #### PATIENTWILL

          public static final CDITEMvalues PATIENTWILL

    - #### PROFESSIONALRISK

          public static final CDITEMvalues PROFESSIONALRISK

    - #### ENCOUNTERNUMBER

          public static final CDITEMvalues ENCOUNTERNUMBER

    - #### CLAIM

          public static final CDITEMvalues CLAIM

    - #### OUTCOME

          public static final CDITEMvalues OUTCOME

    - #### AGREEMENTWITHPATIENT

          public static final CDITEMvalues AGREEMENTWITHPATIENT

    - #### PATIENTCOOPERATION

          public static final CDITEMvalues PATIENTCOOPERATION

    - #### REIMBURSEMENTCLASS

          public static final CDITEMvalues REIMBURSEMENTCLASS

    - #### FINANCIALCONTRACT

          public static final CDITEMvalues FINANCIALCONTRACT

    - #### JUSTIFICATION

          public static final CDITEMvalues JUSTIFICATION

    - #### RESULT

          public static final CDITEMvalues RESULT

    - #### AGREEDTREATMENT

          public static final CDITEMvalues AGREEDTREATMENT

    - #### MEMBERSHIP

          public static final CDITEMvalues MEMBERSHIP

    - #### PROBLEM

          public static final CDITEMvalues PROBLEM

  - ### Method Detail

    - #### values

          public static CDITEMvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDITEMvalues c : CDITEMvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDITEMvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDITEMvalues fromValue(String v)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.